/* 主要设置自定义选项: 在初始化插件的时候会作为options传递给generator.js或者generator/index.js
*   - 本文件要求导出inquirer对象数组: https://github.com/SBoudrias/Inquirer.js#question
*   - 可添加额外字段（仅在vue-cli ui界面会显示）
*     - group: 将选项按照章节分组
*     - description: 附加描述
*     - link: More info链接
*   - UI自带的类型（仅仅在UI上有用）：color 取色器
*  */
module.exports = [
  {
    type: 'list',
    name: 'import',
    message: 'How do you want to import Element?',
    choices: [
      { name: 'Fully import', value: 'full' },
      { name: 'Import on demand', value: 'partial' }
    ],
    default: 'full',
  },
  {
    when: answers => answers.import === 'full',
    type: 'confirm',
    name: 'customTheme',
    message: 'Do you wish to overwrite Element\'s SCSS variables?',
    default: false,
  },
  {
    type: 'list',
    name: 'lang',
    message: 'Choose the locale you want to load',
    choices: localeList.map(locale => ({
      name: locale,
      value: locale
    })),
    default: 'zh-CN'
  }
]